package org.xesstandard.model.attributes.impl;

import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesBooleanAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesBooleanAttributeImpl extends XesAttributeImpl implements XesBooleanAttribute {

	/*
	 * Boolean value of the attribute. May be <null>.
	 */
	private Boolean value = null;

	/*
	 * Construct a Boolean attribute.
	 */
	public XesBooleanAttributeImpl() {
		super(XesAttributeType.BOOLEAN);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return value ? "true" : "false";
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.xesstandard.model.attributes.XesBooleanAttribute#setValue(java.lang.
	 * Boolean)
	 */
	public void setValue(Boolean value) {
		this.value = value;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.xesstandard.model.attributes.XesBooleanAttribute#getValue()
	 */
	public Boolean getValue() {
		return value;
	}
}
