package org.xesstandard.model.attributes.impl;

import java.util.ArrayList;
import java.util.List;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesListAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesListAttributeImpl extends XesAttributeImpl implements XesListAttribute {

	/*
	 * List values of the attribute. 
	 */
	List<XesAttribute> values = new ArrayList<XesAttribute>();
	
	/*
	 * Construct a list attribute.
	 */
	public XesListAttributeImpl() {
		super(XesAttributeType.LIST);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.impl.XesAttributeImpl#isSimple()
	 */
	public boolean isSimple() {
		// This one is not a simple attribute.
		return false;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return values.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesListAttribute#addValue(org.xesstandard.model.XesAttribute)
	 */
	public void addValue(XesAttribute value) {
		values.add(value);
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesListAttribute#getValues()
	 */
	public List<XesAttribute> getValues() {
		return values;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesListAttribute#setValues(java.util.List)
	 */
	public void setValues(List<XesAttribute> values) {
		this.values = values;
	}
}
