package org.xesstandard.model.attributes.impl;

import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesRealNumberAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesRealNumberAttributeImpl extends XesAttributeImpl implements XesRealNumberAttribute {

	/*
	 * Real number value of the attribute. May be <null>.
	 */
	private Double value = null;
	
	/*
	 * Construct a real number attribute.
	 */
	public XesRealNumberAttributeImpl() {
		super(XesAttributeType.REALNUMBER);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return String.valueOf(value);
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesRealNumberAttribute#setValue(java.lang.Double)
	 */
	public void setValue(Double value) {
		this.value = value;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesRealNumberAttribute#getValue()
	 */
	public Double getValue() {
		return value;
	}

}
