package org.xesstandard.model.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.xesstandard.model.XesClassifier;
import org.xesstandard.model.XesComponent;

public class XesClassifierImpl implements XesClassifier {

	/*
	 * The name of the classifier.
	 */
	private String name = null;

	/*
	 * The keys of the classifier.
	 */
	private List<String> keys = new ArrayList<String>();

	/*
	 * A map containing all classifications by this classifier. prevents from
	 * having to store the same classification more than once.
	 */
	private Map<String, String> classifications = new HashMap<String, String>();

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesClassifier#setName(java.lang.String)
	 */
	public void setName(String name) {
		this.name = name;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesClassifier#getName()
	 */
	public String getName() {
		return name;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesClassifier#addKey(java.lang.String)
	 */
	public void addKey(String key) {
		keys.add(key);
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesClassifier#getKeys()
	 */
	public List<String> getKeys() {
		return keys;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesClassifier#classify(org.xesstandard.model.XesComponent)
	 */
	public String classify(XesComponent component) {
		// Construct the classification in a StringBuffer.
		StringBuffer buf = new StringBuffer();
		String div = "";
		for (String key : keys) {
			buf.append(div);
			buf.append(component.getStringValue(key));
			div = "+";
		}
		// Get the classification.
		String classification = buf.toString();
		// Look for the classification.
		String mappedClassification = classifications.get(classification);
		if (mappedClassification == null) {
			// Not here yet, add.
			classifications.put(classification, classification);
			mappedClassification = classification;
		}
		// Return the classification from the map.
		return mappedClassification;
	}

	public String toString() {
		return "(name=" + name + ",keys=" + keys + ")";
	}

}
