package org.xesstandard.xml;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.util.List;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.xesstandard.model.XesExtension;
import org.xml.sax.SAXException;

public class XesextXmlParser {

	public void parse(XesExtension extension, List<XesXmlIssue> issues) throws IOException, ParserConfigurationException, SAXException {
		BufferedInputStream is = new BufferedInputStream(extension.getURI().toURL().openStream());
		// set up a specialized SAX2 handler to fill the container
		XesextXmlHandler handler = new XesextXmlHandler(extension, issues);
		// set up SAX parser and parse provided log file into the container
		SAXParserFactory parserFactory = SAXParserFactory.newInstance();
		SAXParser parser = parserFactory.newSAXParser();
		parser.parse(is, handler);
		is.close();
	}

}
