package org.xesstandard.xml.issues;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.model.XesEvent;
import org.xesstandard.model.XesTrace;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeGlobal extends XesAbstractXmlIssue {

	/**
	 * Issue raised when a trace or event lacks a global attribute.
	 */
	private Object object;
	private XesAttribute attribute;
	String label;
	String clause;
	
	public XesXmlIssueAttributeGlobal(XesTrace trace, XesAttribute attribute) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = trace;
		this.attribute = attribute;
		label = "Trace";
		clause = "Clause 4.3.2";
	}
	
	public XesXmlIssueAttributeGlobal(XesEvent event, XesAttribute attribute) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = event;
		this.attribute = attribute;
		label = "Event";
		clause = "Clause 4.3.1";
	}
	
	public String toString() {
		return super.toString() + label + " must have global attribute " + attribute.getKey() + " (see " + clause + ").";
	}
}

