package org.xesstandard.xml.issues;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.model.XesComponent;
import org.xesstandard.model.XesEvent;
import org.xesstandard.model.XesTrace;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeType extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the type of an attribute does not match the type of the
	 * global attribute with the same key.
	 */
	private XesComponent component;
	private XesAttribute attribute;
	private String label;
	private String clause;

	public XesXmlIssueAttributeType(XesTrace trace, XesAttribute attribute) {
		super(XesXmlIssueLevel.CONFORMING);
		this.component = trace;
		this.attribute = attribute;
		label = "trace";
		clause = "Clause 4.3.2";
	}

	public XesXmlIssueAttributeType(XesEvent event, XesAttribute attribute) {
		super(XesXmlIssueLevel.CONFORMING);
		this.component = event;
		this.attribute = attribute;
		label = "event";
		clause = "Clause 4.3.1";
	}

	public String toString() {
		return super.toString() + "Type of attribute \"" + attribute.getKey() + "\" differs from global " + label
				+ " attribute (see " + clause + ").";
	}
}
