package org.xesstandard.xml.issues;

import java.util.List;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.model.XesComponent;
import org.xesstandard.model.XesLog;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeUnique extends XesAbstractXmlIssue {

	/**
	 * Issue raised when a container contains multiple attributes with the same key.
	 */
	private Object object;
	private String key;
	private String label;
	
	public XesXmlIssueAttributeUnique(XesComponent component, String key) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = component;
		this.key = key;
		label = "Component";
	}
	
	public XesXmlIssueAttributeUnique(XesLog log, List<XesAttribute> globals, String key) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = log;
		this.key = key;
		if (globals == log.getGlobalTraceAttributes()) {
			label = "Trace global attribute";
		} else {
			label = "Event global attribute";
		}
	}
	
	public String toString() {
		return super.toString() + "Attribute " + key + " occurs more than once (see Clause 4.2)";
	}
}

