package org.xesstandard.xml.issues;

import org.xesstandard.model.XesClassifier;
import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeValueNCName extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the value of an NCName attribute is not an NCName value.
	 */
	private Object object;
	private String key;
	private String value;
	private String label;
	private String clause;
	
	public XesXmlIssueAttributeValueNCName(XesExtension extension, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = extension;
		this.key = key;
		this.value = value;
		label = "Extension";
		clause = "Clause 5.5.2";
	}
	
	public XesXmlIssueAttributeValueNCName(XesClassifier classifier, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = classifier;
		this.key = key;
		this.value = value;
		label = "Classifier";
		clause = "Clause 5.7.2";
	}
	
	public String toString() {
		return super.toString() + "Attribute value " + value + " for " + key + " is not an NCName value (see " + clause + ").";
	}
}